Bug 169237 - dund isn't able to start a pppd conection over bluetooth
dund isn't able to start a pppd conection over bluetooth
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
Depends On:
  Show dependency treegraph
Reported: 2005-09-25 17:35 EDT by Marcel Nijenhof
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.27.1-2.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 22:20:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcel Nijenhof 2005-09-25 17:35:02 EDT
Description of problem:
  dund isn't able to start a pppd conection over bluetooth.
  I get an error that he isn't able to open /dev/rfcomm0
  From the syslog:
    pppd[...]: Couldn't stat /dev/rfcomm0: Permission denied

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure bluetooth and dund as server
2. Use enforcement in selinux
3. Setup a "dund" connection
Actual results:
  You get the following error in syslog:
    pppd[...]: Couldn't stat /dev/rfcomm0: Permission denied

Expected results:
  ppp should start and you should be able to use ip on the other device

Additional info:
  The problem is the selinux permisions on "/dev/rfcomm0".
  The default permisions are:
    # ls -lZ /dev/rfcomm0
    crw-rw----  root root system_u:object_r:device_t     /dev/rfcomm0
  I have changed "/etc/selinux/targeted/contexts/files/file_contexts".
  I added the folling line (i copied the "/dev/ircomm" line):
    /dev/rfcomm[0-9]+       -c      system_u:object_r:tty_device_t
  That changes the permisions for "/dev/rfcomm0" to:
    # ls -lZ /dev/rfcomm0
    crw-rw----  root root system_u:object_r:tty_device_t /dev/rfcomm0
  With this setup it works.

  Ofcourse it also works when you disable selinux!
Comment 1 Daniel Walsh 2005-09-27 15:43:55 EDT
Fixed in selinux-policy-targeted-1.27.1-2.3

Note You need to log in before you can comment on or make changes to this bug.